<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('emdbg_type', function (Blueprint $table) {

            $table->bigIncrements('EBT_Id');

            $table->string('EBT_Code', 20)->nullable();
            $table->string('EBT_Name', 50);
            $table->integer('Percentage')->nullable();

            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('emdbg_type');
    }
};
